openSUSE Security Update : rubygem-actionpack-3_2 (openSUSE-SU-2013:0661-1)

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

Changes in rubygem-actionpack-3_2 :

- add 2 patches to fix security issues :

- bug-809935_3-2-css_sanitize.patch: CVE-2013-1855:
rubygem-actionpack*: XSS vulnerability in sanitize_css
in Action Pack (bnc#809935)

- bug-809940_3-2-sanitize_protocol.patch: CVE-2013-1857:
rubygem-actionpack*: XSS Vulnerability in the `sanitize`
helper of Ruby on Rails (bnc#809940)

See also :

http://lists.opensuse.org/opensuse-updates/2013-04/msg00072.html
https://bugzilla.novell.com/show_bug.cgi?id=809935
https://bugzilla.novell.com/show_bug.cgi?id=809940

Solution :

Update the affected rubygem-actionpack-3_2 package.

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N)

Family: SuSE Local Security Checks

Nessus Plugin ID: 74972 ()

Bugtraq ID:

CVE ID: CVE-2013-1855
CVE-2013-1857

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now